Loading...
Searching...
No Matches
Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE > Class Template Reference

`#include <dune/functions/gridfunctions/discreteglobalbasisfunction.hh>`

Inheritance diagram for Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >:

## Classes

struct | Data
class | LocalFunctionBase

## Public Types

using | Basis = B
using | Vector = V
using | Coefficient = Dune::AutonomousValue<decltype(std::declval<Vector>()[std::declval<typename Basis::MultiIndex>()])>
using | GridView = typename Basis::GridView
using | EntitySet = GridViewEntitySet<GridView, 0>
using | Tree = typename Basis::LocalView::Tree
using | NodeToRangeEntry = NTRE
using | Domain = typename EntitySet::GlobalCoordinate
using | LocalDomain = typename EntitySet::LocalCoordinate
using | Element = typename EntitySet::Element

## Public Member Functions

const Basis & | basis () const
| Return a const reference to the stored basis.
const Vector & | dofs () const
| Return the coefficients of this discrete function by reference.
const NodeToRangeEntry & | nodeToRangeEntry () const
| Return the stored node-to-range map.
const EntitySet & | entitySet () const
| Get associated set of entities the local-function can be bound to.

## Protected Member Functions

| DiscreteGlobalBasisFunctionBase (const std::shared_ptr< const Data > &data)

## Protected Attributes

std::shared_ptr< const Data > | data_

## Member Typedef Documentation

## Basis

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Basis = B

## Coefficient

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Coefficient = Dune::AutonomousValue<decltype(std::declval<Vector>()[std::declval<typename Basis::MultiIndex>()])>

## Domain

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Domain = typename EntitySet::GlobalCoordinate

## Element

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Element = typename EntitySet::Element

## EntitySet

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::EntitySet = GridViewEntitySet<GridView, 0>

## GridView

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::GridView = typename Basis::GridView

## LocalDomain

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::LocalDomain = typename EntitySet::LocalCoordinate

## NodeToRangeEntry

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::NodeToRangeEntry = NTRE

## Tree

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Tree = typename Basis::LocalView::Tree

## Vector

template<typename B, typename V, typename NTRE>

using Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::Vector = V

## Constructor & Destructor Documentation

## DiscreteGlobalBasisFunctionBase()

template<typename B, typename V, typename NTRE>

Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::DiscreteGlobalBasisFunctionBase | ( | const std::shared_ptr< const Data > & | data | ) |

inline protected

## Member Function Documentation

## basis()

template<typename B, typename V, typename NTRE>

const Basis & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::basis | ( |  | ) | const

inline

Return a const reference to the stored basis.

## dofs()

template<typename B, typename V, typename NTRE>

const Vector & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::dofs | ( |  | ) | const

inline

Return the coefficients of this discrete function by reference.

## entitySet()

template<typename B, typename V, typename NTRE>

const EntitySet & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::entitySet | ( |  | ) | const

inline

Get associated set of entities the local-function can be bound to.

## nodeToRangeEntry()

template<typename B, typename V, typename NTRE>

const NodeToRangeEntry & Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::nodeToRangeEntry | ( |  | ) | const

inline

Return the stored node-to-range map.

## Member Data Documentation

## data_

template<typename B, typename V, typename NTRE>

std::shared_ptr<const Data> Dune::Functions::ImplDoc::DiscreteGlobalBasisFunctionBase< B, V, NTRE >::data_

protected

The documentation for this class was generated from the following file:

- discreteglobalbasisfunction.hh